﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rewards2Model
{
   using System;
   using System.Collections.Generic;

   // Added for complex data type support.
   using System.ComponentModel.DataAnnotations.Schema;

   public class Customers
   {
      public Customers()
      {
         // Automatically obtain a list of purchases from the database.
         this.Purchases = new HashSet<Purchases>();
      }

      // Declare the table properties.
      public int Id { get; set; }
      public string CustomerName { get; set; }
      public CustomerTypeEnum CustomerType { get; set; }
      public Location CustomerLocation { get; set; }

      // Declare the navigational property.
      public virtual ICollection<Purchases> Purchases { get; set; }
   }

   // Define the kind of customer that has made the purchase.
   public enum CustomerTypeEnum
   {
      Standard,
      SpecialDiscount,
      Employee,
      Manager
   }

   [ComplexType]
   public class Location
   {
      // Create the two properties of this type.
      public string ZIPCode { get; set; }
      public string Telephone { get; set; }
   }
}
